@{
    ViewData["Title"] = "Program Kegiatan Sekolah";
}
<section class="section">
    <div class="section-header">
        <h1>Program Kegiatan Sekolah</h1>
        <div class="section-header-breadcrumb">
            <div class="breadcrumb-item active"><a asp-controller="Home" asp-action="Index">Keuangan</a></div>
            <div class="breadcrumb-item"><a asp-controller="Keuangan" asp-action="ProgramKegiatanSekolah">Program Kegiatan Sekolah</a></div>
        </div>
    </div>

    <div class="section-body">

        <div class="card" style="margin-bottom:10px;">
            <div class="card-header form-row">
                <h4 class="col-md-4">Program Kegiatan Sekolah</h4>
                <div class="col-md-8 text-right">
                    <form class="form-inline" id="FormAksi">
                        <div class="form-group">
                            <select class="form-control" name="IdTahunAjaran">
                            </select>
                        </div>
                        <div class="form-group">
                            <button type="button" class="btn btn-success" onClick="TabelUnit();"><i class="fa fa-eye"></i> Tampilkan</button>
                        </div>
                    </form>
                </div>
            </div>
            <div class="card-body" id="MainTableEmpty">
                <center>
                    <img src="~/assets/img/list.png" width="400px" class="img-fluid">
                </center>
            </div>
            <div class="card-body" id="MainTable" style="display:none">
                <div class="table-responsive">
                    <table id="TabelUnit" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Aksi</th>
                                <th>Unit</th>
                                <th>Tahun Ajaran</th>
                                <th>Rp</th>
                                <th>Status</th>
                                <th>Status Proses</th>
                                <th>Catatan</th>
                            </tr>
                        </thead>
                        <tfoot>
                            <tr>
                                <th>Aksi</th>
                                <th>Unit</th>
                                <th>Tahun Ajaran</th>
                                <th>Rp</th>
                                <th>Status</th>
                                <th>Status Proses</th>
                                <th>Catatan</th>
                            </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
        <!--- SECTION TABEL PROGRAM -->
        <div class="card" style="margin-bottom:10px;display:none;" id="DivSectionProgram">
            <div class="card-header form-row">
                <h4 class="col-md-12" id="HeadingTabelProgram"></h4>
            </div>
            <div class="card-body form-row">
                <div class="col-md-12">
                    <div class="table-responsive mt-3">
                        <table id="TabelProgram" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Program</th>
                                    <th>Jumlah Kegiatan Wajib</th>
                                    <th>Rp Kegiatan Wajib</th>
                                    <th>Jumlah Kegiatan Tambahan</th>
                                    <th>Rp Kegiatan Tambahan</th>
                                    <th>Rp Total</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Program</th>
                                    <th>Jumlah Kegiatan Wajib</th>
                                    <th>Rp Kegiatan Wajib</th>
                                    <th>Jumlah Kegiatan Tambahan</th>
                                    <th>Rp Kegiatan Tambahan</th>
                                    <th>Rp Total</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
                <div class="col-md-4">

                </div>
            </div>
        </div>
        <!--- END SECTION TABEL PROGRAM -->
        <!--- SECTION TABEL KEGIATAN -->
        <div class="card" style="margin-bottom:10px;display:none;" id="DivSectionTabelKegiatan">
            <div class="card-header form-row">
                <h4 class="col-md-12" id="HeadingTabelKegiatan"></h4>
            </div>
            <div class="card-body">
                <div style="margin-bottom:10px;">
                    <div class="table-responsive mt-3">
                        <table id="TabelKegiatan" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Jenis</th>
                                    <th>Kegiatan</th>
                                    <th>Rupiah</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Jenis</th>
                                    <th>Kegiatan</th>
                                    <th>Rupiah</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!--- END SECTION TABEL PROGRAM KERJA -->
        <!--- SECTION TABEL AKUN KEGIATAN -->
        <div class="card" style="margin-bottom:10px;display:none;" id="DivSectionKegiatanCoa">
            <div class="card-header form-row">
                <h4 class="col-md-4" id="HeadingTabelKegiatanCoa"></h4>
            </div>
            <div class="card-body">
                <div style="margin-bottom:10px;">
                    <div class="table-responsive mt-3">
                        <table id="TabelKegiatanCoa" class="table table-striped table-bordered table-hover nowrap" style="width:100%;">
                            <thead>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Kode Akun</th>
                                    <th>Nama Akun</th>
                                    <th>Jumlah Satuan</th>
                                    <th>Satuan</th>
                                    <th>Jumlah Volume</th>
                                    <th>Volume</th>
                                    <th>Harga Satuan</th>
                                    <th>Total Rp</th>
                                </tr>
                            </thead>
                            <tfoot>
                                <tr>
                                    <th>Aksi</th>
                                    <th>Kode Akun</th>
                                    <th>Nama Akun</th>
                                    <th>Jumlah Satuan</th>
                                    <th>Satuan</th>
                                    <th>Jumlah Volume</th>
                                    <th>Volume</th>
                                    <th>Harga Satuan</th>
                                    <th>Total Rp</th>
                                </tr>
                            </tfoot>
                        </table>
                    </div>
                </div>
            </div>
        </div>
        <!--- END SECTION TABEL AKUN KEGIATAN-->
    </div>
</section>

<!--- SECTION FORM DATA SETUJUI -->
<div class="modal fade" id="ModalFormSetujui" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormSetujui"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormSetujui" action="#" method="POST">
                    <input type="hidden" class="form-control" name="IdUnitProKeg" placeholder="IdUnitProKeg" readonly />
                    <div class="form-row mt-3" id="DivSetujui">
                        <div class="col-md-12">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Unit</label>
                                <div class="col-md-8">
                                    <input type="text" class="form-control" name="Unit" placeholder="Ketikkan Unit" readonly />
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Status Proses</label>
                                <div class="col-md-8">
                                    <input type="radio" name="StatusProses" value="1" placeholder="Ketikkan Status Proses" /> Setujui &nbsp;&nbsp;
                                    <input type="radio" name="StatusProses" value="99" placeholder="Ketikkan Status Proses" /> Tolak
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Catatan</label>
                                <div class="col-md-8">
                                    <textarea class="form-control" name="Catatan" placeholder="Ketikkan Catatan" style="height:100px;"></textarea>
                                </div>
                            </div>
                        </div>

                        <div class="offset-md-2 col-md-8 text-center">
                            <button type="reset" class="btn btn-danger text-center"><i class="fa fa-times"></i> Batal</button>
                            <button type="button" class="btn btn-success text-center" id="BtnSetujui"><i class="fa fa-save"></i> Kirim</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<!--- END SECTION FORM DATA SETUJUI -->

<!--- SECTION FORM UNIT KEGIATAN -->
<div class="modal fade" id="ModalFormUnitKegiatan" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormUnitKegiatan"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormUnitKegiatan" action="#" method="POST">
                    <input type="hidden" class="form-control" name="IdUnitProKeg" placeholder="IdUnitProKeg" readonly />
                    <input type="hidden" class="form-control" name="IdUnitProkegTambahan" placeholder="IdUnitProkegTambahan" readonly />
                    <input type="hidden" class="form-control" name="IdProgram" placeholder="IdProgram" readonly />
                    <div class="form-row mt-3" id="DivUnitKegiatan">
                        <div class="col-md-12">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Nama Kegiatan</label>
                                <input type="text" class="col-md-8 form-control" name="NamaKegiatan" placeholder="Ketikkan Nama Kegiatan" />
                            </div>
                        </div>
                        <div class="col-md-12">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Tanggal</label>
                                <input type="text" class="col-md-8 form-control" data-toggle="datepicker" name="Tanggal" placeholder="- Pilih Tanggal -" />
                            </div>
                        </div>
                        <div class="offset-md-2 col-md-8 text-center">
                            <button type="reset" class="btn btn-danger text-center"><i class="fa fa-times"></i> Batal</button>
                            <button type="button" class="btn btn-success text-center" id="BtnSaveUnitKegiatan"><i class="fa fa-save"></i> Simpan Data</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<!--- END SECTION FORM UNIT KEGIATAN -->

<!--- SECTION FORM UNIT KEGIATAN COA -->
<div class="modal fade" id="ModalFormUnitKegiatanCoa" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="ModalHeaderFormUnitKegiatanCoa"></h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <div class="modal-body">
                <form id="FormUnitKegiatanCoa" action="#" method="POST">
                    <input type="hidden" class="form-control" name="IdUnitProkegWajibCoa" placeholder="IdUnitProkegWajibCoa" readonly />
                    <input type="hidden" class="form-control" name="IdUnitProkegTambahanCoa" placeholder="IdUnitProkegWajibCoa" readonly />
                    <input type="hidden" class="form-control" name="IdUnitProkegWajib" placeholder="IdUnitProkegWajib" readonly />
                    <input type="hidden" class="form-control" name="IdUnitProkegTambahan" placeholder="IdUnitProkegTambahan" readonly />
                    <div class="form-row mt-3" id="DivUnitKegiatanCoa">
                        <div class="col-md-6">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Kode Akun</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdCoa" style="width:100%;"></select>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Jumlah Satuan</label>
                                <input type="text" class="col-md-8 form-control" name="JumlahSatuan" placeholder="Ketikkan Jumlah Satuan" />
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Satuan</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdJenisSatuan" style="width:100%;"></select>
                                </div>
                            </div>
                            @* <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Tanggal</label>
                                <input type="text" class="col-md-8 form-control" name="Tanggal" data-toggle="datepicker" placeholder="-Pilih Tanggal-" readonly>
                            </div> *@
                        </div>
                        <div class="col-md-6">
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Jumlah Volume</label>
                                <input type="text" class="col-md-8 form-control" name="JumlahVolume" placeholder="Ketikkan Jumlah Volume" />
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Volume</label>
                                <div class="col-md-8">
                                    <select class="form-control select2" name="IdJenisVolume" style="width:100%;"></select>
                                </div>
                            </div>
                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Harga Satuan</label>
                                <input type="text" class="col-md-8 form-control" name="HargaSatuan" placeholder="Ketikkan Harga Satuan" />
                            </div>

                            <div class="form-group form-row">
                                <label class="col-md-4 col-form-label font-weight-bold text-right">Catatan</label>
                                <textarea class="col-md-8 form-control" name="Catatan" placeholder="Ketikkan Catatan Detil Kegiatan" style="height:100px;"></textarea>
                            </div>
                        </div>
                        <div class="offset-md-2 col-md-8 text-center">
                            <button type="reset" class="btn btn-danger text-center"><i class="fa fa-times"></i> Batal</button>
                            <button type="button" class="btn btn-success text-center" id="BtnSaveUnitKegiatanCoa"><i class="fa fa-save"></i> Simpan Data</button>
                        </div>
                    </div>
                </form>
            </div>

        </div>
    </div>
</div>
<!--- END SECTION FORM UNIT KEGIATAN COA -->